SevenSpikes - API Plugin

3 years ago
Swagger - Error 500

Hi. Im using 3.7 plugin and getting this error when trying to open /swagger

An error has occurred.
I have followed other posts and changed web.config customerros off, verify copied DLLs but I cant find error.

***/swagger/ui/index - OK

***:443/swagger/docs/v1 - Error 500 XML

<Error><Message>An error has occurred.</Message></Error>

There is no error log, no event viewer log.

It works pretty well on localhost under IIS express, but no way to make it works on server.

Help!
3 years ago
@SevenSpikes, any help ?
3 years ago
I recommend you to contact Nop-Templates - they have developed the plugin itself. I also met a similar problem, but on 3.90, even thought the plugin wasn't useful for my case.
3 years ago
Thanks.

Nop-Templates staff are pretty active on nop forums...

Did you solve it?
3 years ago
iob2000 wrote:
Thanks.

Nop-Templates staff are pretty active on nop forums...

Did you solve it?


Unfortunately, no, but I am keep working and I believe I will finish before Christmas. The API plugin by Nop-Templates is good for integrating Nop with your web store, but I need to integrate Nop with another similar loyalty platform, so it is different a much more complicated, but I am on the right direction. Thanks for asking and success with your work!

Best regards!
2 years ago
Dear expert,

I wonder where's the version nopcommerce 3.9?
I downloaded from github however; the version is for .net core.
How and where can I download the version of this api for nopcommerce 3.9?

please help..


Regards,


Archie
2 years ago
Hello Archie,

Download the plugin from the nopCommerce marketplace.

The package contains the API plugin for all supported nopCommerce versions (3.70, 3.80, 3.90, 4.00).

Regards,
Stoyan
2 years ago
sorry, but download link doesn't work
2 years ago
kava wrote:
sorry, but download link doesn't work


I have just tried to download it. It works decent.
2 years ago
Dear SevenSpikes,

is the source code available in the link you've provided?

in github it's for v4 nopcommerce.. I'm only using 3.9.

I need the source code (nopcommerce 3.9), I'm so curious about it too.


Regards